Ubuntu

[MASTER] pppd timeout when trying to establish a DSL connection

Reported by Michael Lazarev on 2009-09-18
388
This bug affects 76 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Undecided
Unassigned
network-manager (Ubuntu)
High
Alexander Sack
Nominated for Karmic by Michael Lazarev
network-manager (openSUSE)
Invalid
Undecided
Unassigned
ppp (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Michael Lazarev

Bug Description

NOTE: fixed packages are available here: https://edge.launchpad.net/~network-manager/+archive/trunk

=====

Binary package hint: network-manager

In Karmic alpha 5 I could establish a DSL connection.
In alpha 6, NetworkManager cannot do it.

I take the following steps: Edit connections -> DSL -> Add, then enter my username and password.
After, I choose "DSL Connection 1" from drop-down menu of NetworkManager Applet 0.7.996
Two green points appear on applet icon, and blue thingy circulates around them for a long time.
Then icon appears as disconnected, then two green points again, but this time pop-up note says that the connection is established to "Auto eth0".

I tried the following command:
sudo sh -c "NM_PPP_DEBUG=true NetworkManager --no-daemon"

Then I tried to connect again and the output was the following:
--------------------------------------------------------------------------------------------------------------------------------
NetworkManager: <info> starting...
NetworkManager: <info> modem-manager is now available
NetworkManager: SCPlugin-Ifupdown: init!
NetworkManager: SCPlugin-Ifupdown: update_system_hostname
NetworkManager: SCPluginIfupdown: management mode: unmanaged
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0): no exported connection
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/virtual/net/lo, iface: lo)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/virtual/net/lo, iface: lo): no exported connection
NetworkManager: SCPlugin-Ifupdown: end _init.
NetworkManager: Loaded plugin ifupdown: (C) 2008 Canonical Ltd. To report bugs please use the NetworkManager mailing list.
NetworkManager: Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc. To report bugs please use the NetworkManager mailing list.
NetworkManager: <info> Wireless now enabled by radio killswitch
NetworkManager: SCPlugin-Ifupdown: (148258080) ... get_connections.
NetworkManager: SCPlugin-Ifupdown: (148258080) ... get_connections (managed=false): return empty list.
NetworkManager: Ifupdown: get unmanaged devices count: 0
NetworkManager: <info> (eth0): new Ethernet device (driver: 'forcedeth')
NetworkManager: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/0
NetworkManager: <info> (eth0): now managed
NetworkManager: <info> (eth0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (eth0): preparing device.
NetworkManager: <info> (eth0): deactivating device (reason: 2).
-- Error received: Numerical result out of range
-- Original message: type=0x19 length=56 flags=<REQUEST,ACK> sequence-nr=1253233374 pid=4199817
NetworkManager: <WARN> check_one_route(): (eth0) error -34 returned from rtnl_route_del(): Sucess

NetworkManager: Added default wired connection 'Auto eth0' for /sys/devices/pci0000:00/0000:00:05.0/net/eth0
NetworkManager: <WARN> default_adapter_cb(): bluez error getting default adapter: The name org.bluez was not provided by any .service files
NetworkManager: <info> (eth0): carrier now ON (device state 2)
NetworkManager: <info> (eth0): device state change: 2 -> 3 (reason 40)
NetworkManager: <info> Activation (eth0) starting connection 'Auto eth0'
NetworkManager: <info> (eth0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info> (eth0): device state change: 4 -> 5 (reason 0)
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) successful.
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info> (eth0): device state change: 5 -> 7 (reason 0)
NetworkManager: <info> Activation (eth0) Beginning DHCP transaction (timeout in 45 seconds)
Internet Systems Consortium DHCP Client V3.1.2
Copyright 2004-2008 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/

NetworkManager: <info> dhclient started with pid 5515
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) scheduled...
Listening on LPF/eth0/00:13:d4:31:b8:16
Sending on LPF/eth0/00:13:d4:31:b8:16
Sending on Socket/fallback
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 8
DHCPOFFER of 192.168.1.2 from 192.168.1.1
DHCPREQUEST of 192.168.1.2 on eth0 to 255.255.255.255 port 67
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
DHCPACK of 192.168.1.2 from 192.168.1.1
NetworkManager: <info> DHCP: device eth0 state changed (null) -> preinit
NetworkManager: <info> DHCP: device eth0 state changed preinit -> bound
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) scheduled...
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) started...
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) complete.
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) started...
NetworkManager: <info> address 192.168.1.2
NetworkManager: <info> prefix 24 (255.255.255.0)
NetworkManager: <info> gateway 192.168.1.1
NetworkManager: <info> hostname 'ubuntu'
NetworkManager: <info> nameserver '192.168.1.1'
NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) scheduled...
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) complete.
NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) started...
bound to 192.168.1.2 -- renewal in 1364 seconds.
NetworkManager: <info> (eth0): device state change: 7 -> 8 (reason 0)
NetworkManager: <info> Policy set 'Auto eth0' (eth0) as default for routing and DNS.
NetworkManager: <info> Activation (eth0) successful, device activated.
NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
NetworkManager: <info> (eth0): device state change: 8 -> 3 (reason 0)
NetworkManager: <info> (eth0): deactivating device (reason: 0).
NetworkManager: <info> (eth0): canceled DHCP transaction, dhcp client pid 5515
-- Error received: Numerical result out of range
-- Original message: type=0x19 length=56 flags=<REQUEST,ACK> sequence-nr=1253233396 pid=4199817
NetworkManager: <WARN> check_one_route(): (eth0) error -34 returned from rtnl_route_del(): Sucess

NetworkManager: <info> Activation (eth0) starting connection 'DSL connection 1'
NetworkManager: <info> (eth0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info> (eth0): device state change: 4 -> 5 (reason 0)
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) successful.
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info> (eth0): device state change: 5 -> 7 (reason 0)
NetworkManager: <info> Starting pppd connection
NetworkManager: <debug> [1253233380.455558] nm_ppp_manager_start(): Command line: /usr/sbin/pppd nodetach lock nodefaultroute debug user dfe3ads471 plugin rp-pppoe.so nic-eth0 noauth nodeflate usepeerdns mru 1492 mtu 1492 lcp-echo-failure 3 lcp-echo-interval 20 ipparam /org/freedesktop/NetworkManager/PPP/0 plugin /usr/lib/pppd/2.4.4/nm-pppd-plugin.so
Plugin rp-pppoe.so loaded.
RP-PPPoE plugin version 3.8p compiled against pppd 2.4.5
Plugin /usr/lib/pppd/2.4.4/nm-pppd-plugin.so loaded.
NetworkManager: <debug> [1253233380.485001] nm_ppp_manager_start(): ppp started with pid 5579
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) scheduled...
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) started...
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) complete.
Send PPPOE Discovery V1T1 PADI session 0x0 length 12
 dst ff:ff:ff:ff:ff:ff src 0:13:d4:31:b8:16
 [service-name] [host-uniq cb 15 00 00]
Recv PPPOE Discovery V1T1 PADO session 0x0 length 45
 dst 0:13:d4:31:b8:16 src 0:1a:6c:93:a6:1a
 [service-name] [host-uniq cb 15 00 00] [AC-name SCH-SSG-6] [AC-cookie 69 24 62 67 66 79 db 29 31 25 6a 45 1f bf 0f 13]
Send PPPOE Discovery V1T1 PADR session 0x0 length 32
 dst 0:1a:6c:93:a6:1a src 0:13:d4:31:b8:16
 [service-name] [host-uniq cb 15 00 00] [AC-cookie 69 24 62 67 66 79 db 29 31 25 6a 45 1f bf 0f 13]
Recv PPPOE Discovery V1T1 PADS session 0xfc17 length 32
 dst 0:13:d4:31:b8:16 src 0:1a:6c:93:a6:1a
 [service-name] [host-uniq cb 15 00 00] [AC-cookie 69 24 62 67 66 79 db 29 31 25 6a 45 1f bf 0f 13]
PADS: Service-Name: ''
PPP session is 64535
Connected to 00:1a:6c:93:a6:1a via interface eth0
using channel 2
Using interface ppp0
Connect: ppp0 <--> eth0
sent [LCP ConfReq id=0x1 <mru 1492> <magic 0x4835079f>]
NetworkManager: SCPlugin-Ifupdown: devices added (path: /sys/devices/virtual/net/ppp0, iface: ppp0)
NetworkManager: SCPlugin-Ifupdown: device added (path: /sys/devices/virtual/net/ppp0, iface: ppp0): no exported connection
rcvd [LCP ConfReq id=0x1 <mru 1492> <auth pap> <magic 0x605a078b>]
sent [LCP ConfAck id=0x1 <mru 1492> <auth pap> <magic 0x605a078b>]
rcvd [LCP ConfAck id=0x1 <mru 1492> <magic 0x4835079f>]
sent [LCP EchoReq id=0x0 magic=0x4835079f]
NetworkManager: <WARN> pppd_timed_out(): Looks like pppd didn't initialize our dbus module
NetworkManager: <info> (eth0): device state change: 7 -> 9 (reason 14)
NetworkManager: <info> Marking connection 'DSL connection 1' invalid.
NetworkManager: <info> Activation (eth0) failed.
NetworkManager: <info> (eth0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (eth0): deactivating device (reason: 0).
NetworkManager: <debug> [1253233403.002232] ensure_killed(): waiting for ppp pid 5579 to exit
NetworkManager: <debug> [1253233403.256950] ensure_killed(): ppp pid 5579 cleaned up
NetworkManager: SCPlugin-Ifupdown: devices removed (path: /sys/devices/virtual/net/ppp0, iface: ppp0)
NetworkManager: <info> Activation (eth0) starting connection 'Auto eth0'
NetworkManager: <info> (eth0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info> (eth0): device state change: 4 -> 5 (reason 0)
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) successful.
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info> (eth0): device state change: 5 -> 7 (reason 0)
NetworkManager: <info> Activation (eth0) Beginning DHCP transaction (timeout in 45 seconds)
Internet Systems Consortium DHCP Client V3.1.2
Copyright 2004-2008 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/

Listening on LPF/eth0/00:13:d4:31:b8:16
Sending on LPF/eth0/00:13:d4:31:b8:16
Sending on Socket/fallback
NetworkManager: <info> dhclient started with pid 5595
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) scheduled...
NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
NetworkManager: <info> DHCP: device eth0 state changed normal exit -> preinit
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) started...
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) complete.
DHCPREQUEST of 192.168.1.2 on eth0 to 255.255.255.255 port 67
DHCPACK of 192.168.1.2 from 192.168.1.1
NetworkManager: <info> DHCP: device eth0 state changed preinit -> reboot
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) scheduled...
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) started...
NetworkManager: <info> address 192.168.1.2
NetworkManager: <info> prefix 24 (255.255.255.0)
NetworkManager: <info> gateway 192.168.1.1
NetworkManager: <info> hostname 'ubuntu'
NetworkManager: <info> nameserver '192.168.1.1'
NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) scheduled...
NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) complete.
NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) started...
bound to 192.168.1.2 -- renewal in 1480 seconds.
NetworkManager: <info> (eth0): device state change: 7 -> 8 (reason 0)
NetworkManager: <info> Policy set 'Auto eth0' (eth0) as default for routing and DNS.
NetworkManager: <info> Activation (eth0) successful, device activated.
NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
^CNetworkManager: <WARN> nm_signal_handler(): Caught signal 2, shutting down normally.
NetworkManager: <info> exiting (success)
--------------------------------------------------------------------------------------------------------------------------------

The connection happens immediately If I manually issue the following command:
sudo /usr/sbin/pppd nodetach lock nodefaultroute user <USERNAME> password <PASSWORD> plugin rp-pppoe.so nic-eth0 noauth nodeflate usepeerdns mru 1492 mtu 1492 lcp-echo-failure 3 lcp-echo-interval 20 ipparam /org/freedesktop/NetworkManager/PPP/0 plugin /usr/lib/pppd/2.4.4/nm-pppd-plugin.so debug

Any ideas?

Fabrizio Narni (shiba89) wrote :

I can confirm this bug in Ubuntu 9.10 rc too. I am able to connect using pon/pppoeconf though.

@Shiba: please set then the status of this bug to "Confirmed", lest
the NM developers who live in wireless wonderland will never notice
us, poor DSL users.

Michael Lazarev (milaz) on 2009-10-23
Changed in network-manager (Ubuntu):
status: New → Confirmed

I have got the same problem. Ubuntu 9.10 64-bit, fully updated, even with daily trunk builds of nm.

I also filed bug 459441 for ppp package.

If you can reproduce getting log like I described in original report,
and you'll see that there's "NetworkManager: <WARN> pppd_timed_out():
Looks like pppd didn't initialize our dbus module" line, please,
confirm that bug
(https://bugs.launchpad.net/ubuntu/+source/ppp/+bug/459441).

Please note that to obtain the log you must issue the following commands:
sudo stop network-manager
sudo sh -c "NM_PPP_DEBUG=true NetworkManager --no-daemon"

I can confirm this. Ubuntu 9.10 fully updated from jaunty.
pppoeconf / pon works fine.

f3a97 (f3a97) wrote :

Same problem here!

Hope it will be fixed!

Thanks!

summary: - Unable to establish DSL connection
+ [MASTER] pppd timeout when trying to establish a DSL connection

This might be an issue with pppd itself, where the DBUS interface for NM doesn't get initialized, as per the recurring message in syslog... Assigning to pppd too, until we know for sure.

Mathias Dietrich (theghost) wrote :

Same Bug for me with Ubuntu 9.10 RC. I attached my debug.log. Hopefully this regression can be fixed . Thany you.

I reported bug #459738 (a duplicated bug) with apport, so it have attached a lot of logs plus some other I have added.

Nicolai_J. (fireandfuel) wrote :

There is a bug while editing system wide dsl connections: Bug #456400

yurik81 (yurik81) wrote :

OK, but how to revert all settings back?

yurik81 (yurik81) wrote :

Nicolai_J, I agree with you. But how to revert all settings back? Removing dsl connection info from /etc/network/interfaces doesn't help!

Yigit Güneli (yiit) wrote :

i am the head of our university computer club. lots of students are asking me about linux, and i was telling everyone to wait for 9.10, then try it. the problem is every student needs to use pppoe for connecting to the internet from dorms.

now i have to tell them that they should wait some more time, hoping that this bug wont need Lucid to be resolved.

Steven (steven3000) wrote :

Guess that's too late to get fixed for Karmic release.

Unfortunately there are many users (at least here) that need pppoe for DSL connections.

It would be nice to have this fixed as update immediately after the release but this means that they'll have to use pppoeconf anyway in order to get the updates.

Maybe we could mention the workaround in the release notes or send a message to the syslog when a pppd timeout occurs
 explaining that pppoeconf might work.

Nicolai_J. (fireandfuel) wrote :

Steven, I agree with you. I think this bug have a high urgency and I don't know why it isn't already fixed!
This bug report is over 1 month old.

@Yigit: There is a workaround with pppoeconf and pon.

Download full text (15.8 KiB)

I agree with you guys,
      as previously told, this bug has a high impact, actually many users
are keeping out from Koala due to this bug.

2009/10/29 Nicolai_J. <email address hidden>

> Steven, I agree with you. I think this bug have a high urgency and I don't
> know why it isn't already fixed!
> This bug report is over 1 month old.
>
> @Yigit: There is a workaround with pppoeconf and pon.
>
> --
> [MASTER] pppd timeout when trying to establish a DSL connection
> https://bugs.launchpad.net/bugs/432205
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “network-manager” package in Ubuntu: Confirmed
> Status in “ppp” package in Ubuntu: New
>
> Bug description:
> Binary package hint: network-manager
>
> In Karmic alpha 5 I could establish a DSL connection.
> In alpha 6, NetworkManager cannot do it.
>
> I take the following steps: Edit connections -> DSL -> Add, then enter my
> username and password.
> After, I choose "DSL Connection 1" from drop-down menu of NetworkManager
> Applet 0.7.996
> Two green points appear on applet icon, and blue thingy circulates around
> them for a long time.
> Then icon appears as disconnected, then two green points again, but this
> time pop-up note says that the connection is established to "Auto eth0".
>
> I tried the following command:
> sudo sh -c "NM_PPP_DEBUG=true NetworkManager --no-daemon"
>
> Then I tried to connect again and the output was the following:
>
> --------------------------------------------------------------------------------------------------------------------------------
> NetworkManager: <info> starting...
> NetworkManager: <info> modem-manager is now available
> NetworkManager: SCPlugin-Ifupdown: init!
> NetworkManager: SCPlugin-Ifupdown: update_system_hostname
> NetworkManager: SCPluginIfupdown: management mode: unmanaged
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0): no exported
> connection
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/virtual/net/lo, iface: lo)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/virtual/net/lo, iface: lo): no exported connection
> NetworkManager: SCPlugin-Ifupdown: end _init.
> NetworkManager: Loaded plugin ifupdown: (C) 2008 Canonical Ltd. To report
> bugs please use the NetworkManager mailing list.
> NetworkManager: Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc. To
> report bugs please use the NetworkManager mailing list.
> NetworkManager: <info> Wireless now enabled by radio killswitch
> NetworkManager: SCPlugin-Ifupdown: (148258080) ... get_connections.
> NetworkManager: SCPlugin-Ifupdown: (148258080) ... get_connections
> (managed=false): return empty list.
> NetworkManager: Ifupdown: get unmanaged devices count: 0
> NetworkManager: <info> (eth0): new Ethernet device (driver: 'forcedeth')
> NetworkManager: <info> (eth0): exported as
> /org/freedesktop/NetworkManager/Devices/0
> NetworkManager: <info> (eth0): now...

zhiheng zheng (zhiheng-zheng) wrote :

Yes, this bug is very annoyed. I don't know who is responsible to this bug. And It seems that there are many similar reports but nobody response. I found somebody mentioned in a forum that if he replace network-manager package which the version in 9.04. This issue will disappear.

Michael Lazarev (milaz) wrote :

I wonder how many people around the world connect to the internet with
DSL. I also wonder if there are any developers who use DSL.

Since this bug was underestimated, it has made its way into the
release. Now, people around the world will be updating their systems
and after reboot they will be unable to connect to the internet.
Ironically, they will need the internet to find the 'pppoeconf'
workaround.

It must be clearly understood that most users differ very much from
developers. Users usually have access to only one computer, and, since
they already use DSL, they are in the place where there's no suitable
wireless providers. This is a real problem, these people will be
totally locked out.

There was Ubuntu 8.10 which made my screen black, and computer totally
unresponsive. I could throw away the installation disk, because there
were no use of it. Now, this release makes internet connection
inaccessible, most ironically, in the places where there are no
alternative.

Steven S (steven-schramm) wrote :

Definitely an annoying bug, that I only figured out pppoeconf thanks to my xp partition. People without dual partitions or other computers are going to have some major problems with 9.10.

Even using pppoeconf to connect to the internet, my functionality is extremely limited. I went to install other programs via sudo apt-get, and it didn't work. I tried synaptic package manager, and it didn't work. I tried the new Ubuntu software center and it didn't work. All of them apparently rely on the network manager connection, not whether you can actually connect to the internet.

To be clear, Ubuntu software center didn't have download links and Synaptic only displayed currently installed packages. As such, even if users figure out pppoeconf, they are stuck with the base installation (unless I'm encountering some other bug).

On the other hand, firefox worked fine, so I know that pppoeconf did indeed connect me to the Internet.

For extra information, I did a clean install of 9.10. I was running 8.10 on two partitions (/ and /home), and wiped and re-created both as ext4 for 9.10. So there's no residual files and configuration settings from an upgrade.

wurzzero (controle-um) wrote :

I tried to configure the ADSL connection, but all the information that i put disappeared, then a tried agaian but nothing...

Its only work with the pppoeconf.

The guys of openSUSE, found the same bug. And they FIXED IT! https://bugzilla.novell.com/show_bug.cgi?id=530430

Changed in network-manager (openSUSE):
importance: Unknown → Undecided
status: Unknown → New
status: New → Fix Released
Rudolf Meijering (skaapgif) wrote :

Reading the bug report on OpenSuSE the patch comes from ubuntu? They must've
used an file from the older versions of ubuntu if so.

On Fri, Oct 30, 2009 at 2:37 PM, Daniel de Souza Telles <
<email address hidden>> wrote:

> The guys of openSUSE, found the same bug. And they FIXED IT!
> https://bugzilla.novell.com/show_bug.cgi?id=530430
>
> ** Bug watch added: Novell/SUSE Bugzilla #530430
> https://bugzilla.novell.com/show_bug.cgi?id=530430
>
> ** Also affects: network-manager (openSUSE) via
> https://bugzilla.novell.com/show_bug.cgi?id=530430
> Importance: Unknown
> Status: Unknown
>
> ** Changed in: network-manager (openSUSE)
> Importance: Unknown => Undecided
>
> ** Changed in: network-manager (openSUSE)
> Status: Unknown => New
>
> ** Changed in: network-manager (openSUSE)
> Remote watch: Novell/SUSE Bugzilla #530430 => None
>
> ** Changed in: network-manager (openSUSE)
> Status: New => Fix Released
>
> --
> [MASTER] pppd timeout when trying to establish a DSL connection
> https://bugs.launchpad.net/bugs/432205
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Rudolf Meijering

Nice catch Daniel, unfortunately I am not absolutely certain this is the same issue -- there is a patched dbus config attached to that bug which comes from Ubuntu (at an earlier point in time than when this bug was reported), and it seems to me like the only difference if an additional 'deny' statement under context='default' that we no longer have.

I'm looking at this bug trying to figure out the best way to fix it -- please be assured that we're taking this seriously and sorry if it seemed like we are not looking into it.

dobee (roblouw) on 2009-10-30
Changed in network-manager (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
Alexander Sack (asac) wrote :

the suse bug is an old bug we fixed long time ago ... this one is different.

are you using "available to all users" connections?

Alexander Sack (asac) wrote :

From debug log:
  ** Message: nm-ppp-plugin: (get_credentials): passwd-hook, requesting credentials...
  NetworkManager: <WARN> pppd_timed_out(): Looks like pppd didn't initialize our dbus module

so this seems to be the problem. the credentials never get back to the dbus module. I would suggest to ensure you have your credentials set in the connection editor ... if that does not help, try to enable (or disable depeding of what you have) the "available to all users" checkbox for that dsl connection.

Thanks!

Changed in network-manager (openSUSE):
status: Fix Released → Invalid
Alexander Sack (asac) on 2009-10-30
Changed in network-manager (Ubuntu):
assignee: nobody → Alexander Sack (asac)
importance: Undecided → High
milestone: none → karmic-updates
Yigit Güneli (yiit) wrote :

nope, enabling (or disabling) the available to all users checkbox doesn't change anything.

Alexander Sack (asac) wrote :

please try this patch using instructions for "testing a patch" found here: https://wiki.ubuntu.com/DebuggingNetworkManager#Testing%20a%20patch

Alexander Sack (asac) wrote :

ok, committed 82011dff04123df5634c3a17ceae19c76c67c9e0 upstream ... which is what we think might fix this.

Please either try the patch i already attached (in comment #27) or try tomorrows daily NM builds from this ppa:

   https://launchpad.net/~network-manager/+archive/trunk

(cgit link: http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=82011dff04123df5634c3a17ceae19c76c67c9e0)

Changed in network-manager (Ubuntu):
status: Confirmed → Fix Committed
Alexander Sack (asac) wrote :

not a ppp bug from what i can tell now.

Changed in ppp (Ubuntu):
status: New → Invalid
Rudolf Meijering (skaapgif) wrote :

Works now! Thanks a lot.

On Fri, Oct 30, 2009 at 9:07 PM, Alexander Sack <email address hidden> wrote:

> not a ppp bug from what i can tell now.
>
> ** Changed in: ppp (Ubuntu)
> Status: New => Invalid
>
> --
> [MASTER] pppd timeout when trying to establish a DSL connection
> https://bugs.launchpad.net/bugs/432205
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Rudolf Meijering

Rudolf Meijering (skaapgif) wrote :

The patch worked for me, I can make DSL connections with network manager again.

VladimirCZ (vlabla) wrote :

Will the tomorrow's build be available also for 64-bit?
As I can see there have been some other problems at compiling it ...

Anyway - thank you.

Changed in network-manager (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Michael Lazarev (milaz) wrote :

I just rebuilt NetworkManager with
http://launchpadlibrarian.net/34710401/lp432205.patch and confirm that
the bug is fixed. Thank you!

wauwau (thomassroute-autobahn) wrote :

i get the same error :

"NetworkManager: <WARN> pppd_timed_out():
Looks like pppd didn't initialize our dbus module"

so to fix this issue i have to use windows vista ... :)

Alexander Sack (asac) wrote :

thanks for confirming. this fix will be included in the SRU we will do asap. i want to check if we can accumulate a few more fixes first though ... if you need it now, just use the dailies: https://launchpad.net/~network-manager/+archive/trunk ... starting tomorrow

Alexander Sack (asac) wrote :

Vladimir: yesterdays daily build failed everywhere because of patch issues. We rebased the patches, so unless we have bad luck and something gets landed in the next 5 hours, tomorrows build should succeed with this patch.

Steven S (steven-schramm) wrote :

Another person confirming that the patch works.

The updated network-manager package that was just provided via update manager (I installed it 15 minutes ago) caused it to stop working, but I re-installed the patched version of yours from yesterday, and now it works again.

I'm guessing that's due to what you just mentioned, and tomorrow's network-manager update should hopefully work properly.

Alexander Sack (asac) wrote :

the trunk build is available for lpia and amd64 ... however, i386 builders are a bit busy, so it will take another few hours still ... see: https://edge.launchpad.net/~network-manager/+archive/trunk/+build/1314913

f3a97 (f3a97) wrote :
Download full text (15.9 KiB)

Alexander,
      thank you very much for fixing this, wonderful work!

Thanks for this great release!

2009/10/31 Alexander Sack <email address hidden>

> the trunk build is available for lpia and amd64 ... however, i386
> builders are a bit busy, so it will take another few hours still ...
> see: https://edge.launchpad.net/~network-
> manager/+archive/trunk/+build/1314913<https://edge.launchpad.net/%7Enetwork-%0Amanager/+archive/trunk/+build/1314913>
>
> --
> [MASTER] pppd timeout when trying to establish a DSL connection
> https://bugs.launchpad.net/bugs/432205
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “network-manager” package in Ubuntu: Fix Committed
> Status in “ppp” package in Ubuntu: Invalid
> Status in “network-manager” package in openSUSE: Invalid
>
> Bug description:
> Binary package hint: network-manager
>
> In Karmic alpha 5 I could establish a DSL connection.
> In alpha 6, NetworkManager cannot do it.
>
> I take the following steps: Edit connections -> DSL -> Add, then enter my
> username and password.
> After, I choose "DSL Connection 1" from drop-down menu of NetworkManager
> Applet 0.7.996
> Two green points appear on applet icon, and blue thingy circulates around
> them for a long time.
> Then icon appears as disconnected, then two green points again, but this
> time pop-up note says that the connection is established to "Auto eth0".
>
> I tried the following command:
> sudo sh -c "NM_PPP_DEBUG=true NetworkManager --no-daemon"
>
> Then I tried to connect again and the output was the following:
>
> --------------------------------------------------------------------------------------------------------------------------------
> NetworkManager: <info> starting...
> NetworkManager: <info> modem-manager is now available
> NetworkManager: SCPlugin-Ifupdown: init!
> NetworkManager: SCPlugin-Ifupdown: update_system_hostname
> NetworkManager: SCPluginIfupdown: management mode: unmanaged
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0): no exported
> connection
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/virtual/net/lo, iface: lo)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/virtual/net/lo, iface: lo): no exported connection
> NetworkManager: SCPlugin-Ifupdown: end _init.
> NetworkManager: Loaded plugin ifupdown: (C) 2008 Canonical Ltd. To report
> bugs please use the NetworkManager mailing list.
> NetworkManager: Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc. To
> report bugs please use the NetworkManager mailing list.
> NetworkManager: <info> Wireless now enabled by radio killswitch
> NetworkManager: SCPlugin-Ifupdown: (148258080) ... get_connections.
> NetworkManager: SCPlugin-Ifupdown: (148258080) ... get_connections
> (managed=false): return empty list.
> NetworkManager: Ifupdown: get unmanaged devices count: 0
> NetworkManager: <info> (eth0): new Ethernet device (driver: 'forcedeth')
> Netwo...

Alexander Sack (asac) wrote :

the builds are finished on all three archs supported by PPAs now ... happy testing/fixing.

description: updated
agitdd99 (agitdd99) on 2009-11-01
Changed in network-manager (Ubuntu):
status: Fix Committed → Fix Released
agitdd99 (agitdd99) on 2009-11-01
Changed in network-manager (Ubuntu):
status: Fix Released → In Progress
Changed in network-manager (Ubuntu):
status: In Progress → Fix Released
Nicolai_J. (fireandfuel) on 2009-11-03
Changed in network-manager (Ubuntu):
status: Fix Released → In Progress
43 comments hidden view all 123 comments
Alexander Sack (asac) wrote :

folks please stop playing with bug statusses I explicitly set. thats really not productive. this is FIX COMMITTED.

Changed in network-manager (Ubuntu):
status: In Progress → Fix Committed
Misha Bazanov (bmw-) wrote :

Thanks for fixing and you attention, Alexander. I'm glad to read that lan and pppoe connections may be work together in the future.
Also i'm open new bug about "available to all users" dsl connection, so, invete all to discuss here:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/476204

Nils Gladitz (gladitz) on 2009-11-06
Changed in network-manager (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Download full text (12.6 KiB)

I think this bug is still affecting my system. I'm able to connect with network manager but mostly it fails. The times when I am able to connect appears random. I was getting this since 9.04 and now on 9.10 (fresh install) this still happens. I am using build 0.8~a~git.20091104t184346.0d05bc9-0ubuntu1~nmt1 from the trunk ppa on ubuntu Karmic AMD64 but this problem still happens. Using pppoeconf and pon dsl-provider always works for me.

Here is my Daemon.log - as you can see my first attempt failed but the next one succeeded. Most of the time it fails though.

Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) starting connection 'pldt'
Nov 6 19:17:57 miles-pc NetworkManager: <info> (eth1): device state change: 3 -> 4 (reason 0)
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Nov 6 19:17:57 miles-pc NetworkManager: <info> (eth1): device state change: 4 -> 5 (reason 0)
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 2 of 5 (Device Configure) successful.
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
Nov 6 19:17:57 miles-pc NetworkManager: <info> (eth1): device state change: 5 -> 7 (reason 0)
Nov 6 19:17:57 miles-pc NetworkManager: <info> Starting pppd connection
Nov 6 19:17:57 miles-pc NetworkManager: <debug> [1257506277.753903] nm_ppp_manager_start(): Command line: /usr/sbin/pppd nodetach lock nodefaultroute user sfn1e90b@pldt plugin rp-pppoe.so nic-eth1 rp_pppoe_service pldt noauth nodeflate usepeerdns mru 1492 mtu 1492 lcp-echo-failure 5 lcp-echo-interval 30 ipparam /org/freedesktop/NetworkManager/PPP/2 plugin /usr/lib/pppd/2.4.4/nm-pppd-plugin.so
Nov 6 19:17:57 miles-pc NetworkManager: <debug> [1257506277.767126] nm_ppp_manager_start(): ppp started with pid 3664
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 4 of 5 (IP6 Configure Get) scheduled...
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 4 of 5 (IP6 Configure Get) started...
Nov 6 19:17:57 miles-pc NetworkManager: <info> Activation (eth1) Stage 4 of 5 (IP6 Configure Get) complete.
Nov 6 19:18:18 miles-pc NetworkManager: <WARN> pppd_timed_out(): Looks like pppd didn't initialize our dbus module
Nov 6 19:18:18 miles-pc NetworkManager: <info> (eth1): device state change: 7 -> 9 (reason 14)
Nov...

aventura_alex (aventura-alex) wrote :

is there any plan to get this fixed in the distribution disk too? since it is a bit of an annoyance to do that by downloading a version that doesn't connect to the internet out of the box and then try and fix it. I'd be delighted to learn that since if it is not coming any time soon I may try to apply this fix myself.

Nicolai_J. (fireandfuel) wrote :

According to Alexander Sack's recommendation:

"insufficient privleges bug": Bug #462944
"authenfication bug": Bug #477030
"(open)vpn bug": Bug #477584

Misha Bazanov (bmw-) wrote :

2aventura_alex
AFAIK there're no disk updates for not LTS versions(8.04 is 8.04.3 but 8.10 still 8.10, see http://releases.ubuntu.com). Internet connection for update can be establish with pppoeconf, that included in distribution.
If you whant to make you own updated distribution -- use this manual https://help.ubuntu.com/community/LiveCDCustomization.

tobiwan (tobias-opialla) wrote :

#38 helped me too! Thanks a lot!

wernerhabel (werner-habel) wrote :

any idea, when the fix will be available via the normal update repositories/daily live cd?

thanks,
Werner

Download full text (15.9 KiB)

Live CD will never be fix. Only LTS versions have CD updates.

2009/11/10 wernerhabel <email address hidden>

> any idea, when the fix will be available via the normal update
> repositories/daily live cd?
>
> thanks,
> Werner
>
> --
> [MASTER] pppd timeout when trying to establish a DSL connection
> https://bugs.launchpad.net/bugs/432205
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “network-manager” package in Ubuntu: Fix Committed
> Status in “ppp” package in Ubuntu: Invalid
> Status in “network-manager” package in openSUSE: Invalid
>
> Bug description:
> NOTE: fixed packages are available here:
> https://edge.launchpad.net/~network-manager/+archive/trunk<https://edge.launchpad.net/%7Enetwork-manager/+archive/trunk>
>
> =====
>
> Binary package hint: network-manager
>
> In Karmic alpha 5 I could establish a DSL connection.
> In alpha 6, NetworkManager cannot do it.
>
> I take the following steps: Edit connections -> DSL -> Add, then enter my
> username and password.
> After, I choose "DSL Connection 1" from drop-down menu of NetworkManager
> Applet 0.7.996
> Two green points appear on applet icon, and blue thingy circulates around
> them for a long time.
> Then icon appears as disconnected, then two green points again, but this
> time pop-up note says that the connection is established to "Auto eth0".
>
> I tried the following command:
> sudo sh -c "NM_PPP_DEBUG=true NetworkManager --no-daemon"
>
> Then I tried to connect again and the output was the following:
>
> --------------------------------------------------------------------------------------------------------------------------------
> NetworkManager: <info> starting...
> NetworkManager: <info> modem-manager is now available
> NetworkManager: SCPlugin-Ifupdown: init!
> NetworkManager: SCPlugin-Ifupdown: update_system_hostname
> NetworkManager: SCPluginIfupdown: management mode: unmanaged
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0): no exported
> connection
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/virtual/net/lo, iface: lo)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/virtual/net/lo, iface: lo): no exported connection
> NetworkManager: SCPlugin-Ifupdown: end _init.
> NetworkManager: Loaded plugin ifupdown: (C) 2008 Canonical Ltd. To report
> bugs please use the NetworkManager mailing list.
> NetworkManager: Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc. To
> report bugs please use the NetworkManager mailing list.
> NetworkManager: <info> Wireless now enabled by radio killswitch
> NetworkManager: SCPlugin-Ifupdown: (148258080) ... get_connections.
> NetworkManager: SCPlugin-Ifupdown: (148258080) ... get_connections
> (managed=false): return empty list.
> NetworkManager: Ifupdown: get unmanaged devices count: 0
> NetworkManager: <info> (eth0): new Ethernet device (driver: 'forcedeth')
> NetworkManager: <info> (eth0): exported a...

wernerhabel (werner-habel) wrote :

Daniel de Souza Telles wrote 19 hours ago: Re: [Bug 432205] Re: [MASTER] pppd timeout when trying to establish a DSL connection #92

> Live CD will never be fix. Only LTS versions have CD updates.

OK, that answered my first question, thanks. Altough this basically turns the very concept of a *daily snapshot* live cd ad absurdum.

Yet again, what about my first question, what about the default update repositories provided with initial install? Will this fix be also available from there, not only from trunk?

Thanks,
Werner

khaktus (khaktus) wrote :

Hi, luckily I have a dual boot with XP, to be able to browse internet... ...but to search for all day in forums? And which of the proposed workarounds should I choose?? Most of them contain just hints for the experts... and the notes of the new bugs appearing after the old one was "fixed". Me as a half-beginner, I still have no clue what to do.

It would be nice from Ubuntu team, or some personal initiative, to write a clear step by step solution for Ubuntu newbies.
1. What to change/rewrite/edit where to get a temporary network connection
2. What to change/rewrite/edit/download to get a final = lasting solution (Mozilla,Synpatic, all other networking) working.

Thank you,
Palo

Download full text (16.5 KiB)

pppoconf didn't work?

2009/11/18 khaktus <email address hidden>

> Hi, luckily I have a dual boot with XP, to be able to browse internet...
> ...but to search for all day in forums? And which of the proposed
> workarounds should I choose?? Most of them contain just hints for the
> experts... and the notes of the new bugs appearing after the old one was
> "fixed". Me as a half-beginner, I still have no clue what to do.
>
> It would be nice from Ubuntu team, or some personal initiative, to write a
> clear step by step solution for Ubuntu newbies.
> 1. What to change/rewrite/edit where to get a temporary network connection
> 2. What to change/rewrite/edit/download to get a final = lasting solution
> (Mozilla,Synpatic, all other networking) working.
>
> Thank you,
> Palo
>
> --
> [MASTER] pppd timeout when trying to establish a DSL connection
> https://bugs.launchpad.net/bugs/432205
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “network-manager” package in Ubuntu: Fix Committed
> Status in “ppp” package in Ubuntu: Invalid
> Status in “network-manager” package in openSUSE: Invalid
>
> Bug description:
> NOTE: fixed packages are available here:
> https://edge.launchpad.net/~network-manager/+archive/trunk<https://edge.launchpad.net/%7Enetwork-manager/+archive/trunk>
>
> =====
>
> Binary package hint: network-manager
>
> In Karmic alpha 5 I could establish a DSL connection.
> In alpha 6, NetworkManager cannot do it.
>
> I take the following steps: Edit connections -> DSL -> Add, then enter my
> username and password.
> After, I choose "DSL Connection 1" from drop-down menu of NetworkManager
> Applet 0.7.996
> Two green points appear on applet icon, and blue thingy circulates around
> them for a long time.
> Then icon appears as disconnected, then two green points again, but this
> time pop-up note says that the connection is established to "Auto eth0".
>
> I tried the following command:
> sudo sh -c "NM_PPP_DEBUG=true NetworkManager --no-daemon"
>
> Then I tried to connect again and the output was the following:
>
> --------------------------------------------------------------------------------------------------------------------------------
> NetworkManager: <info> starting...
> NetworkManager: <info> modem-manager is now available
> NetworkManager: SCPlugin-Ifupdown: init!
> NetworkManager: SCPlugin-Ifupdown: update_system_hostname
> NetworkManager: SCPluginIfupdown: management mode: unmanaged
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0): no exported
> connection
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/virtual/net/lo, iface: lo)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/virtual/net/lo, iface: lo): no exported connection
> NetworkManager: SCPlugin-Ifupdown: end _init.
> NetworkManager: Loaded plugin ifupdown: (C) 2008 Canonical Ltd. To report
> bugs please use the NetworkManager mailing list.
> NetworkManager:...

Download full text (16.6 KiB)

pppoeconf didn't work? To get a "final" solution you need to add
NetworkManager PPA daily repositories and update the system.

2009/11/18 khaktus <email address hidden>

> Hi, luckily I have a dual boot with XP, to be able to browse internet...
> ...but to search for all day in forums? And which of the proposed
> workarounds should I choose?? Most of them contain just hints for the
> experts... and the notes of the new bugs appearing after the old one was
> "fixed". Me as a half-beginner, I still have no clue what to do.
>
> It would be nice from Ubuntu team, or some personal initiative, to write a
> clear step by step solution for Ubuntu newbies.
> 1. What to change/rewrite/edit where to get a temporary network connection
> 2. What to change/rewrite/edit/download to get a final = lasting solution
> (Mozilla,Synpatic, all other networking) working.
>
> Thank you,
> Palo
>
> --
> [MASTER] pppd timeout when trying to establish a DSL connection
> https://bugs.launchpad.net/bugs/432205
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “network-manager” package in Ubuntu: Fix Committed
> Status in “ppp” package in Ubuntu: Invalid
> Status in “network-manager” package in openSUSE: Invalid
>
> Bug description:
> NOTE: fixed packages are available here:
> https://edge.launchpad.net/~network-manager/+archive/trunk<https://edge.launchpad.net/%7Enetwork-manager/+archive/trunk>
>
> =====
>
> Binary package hint: network-manager
>
> In Karmic alpha 5 I could establish a DSL connection.
> In alpha 6, NetworkManager cannot do it.
>
> I take the following steps: Edit connections -> DSL -> Add, then enter my
> username and password.
> After, I choose "DSL Connection 1" from drop-down menu of NetworkManager
> Applet 0.7.996
> Two green points appear on applet icon, and blue thingy circulates around
> them for a long time.
> Then icon appears as disconnected, then two green points again, but this
> time pop-up note says that the connection is established to "Auto eth0".
>
> I tried the following command:
> sudo sh -c "NM_PPP_DEBUG=true NetworkManager --no-daemon"
>
> Then I tried to connect again and the output was the following:
>
> --------------------------------------------------------------------------------------------------------------------------------
> NetworkManager: <info> starting...
> NetworkManager: <info> modem-manager is now available
> NetworkManager: SCPlugin-Ifupdown: init!
> NetworkManager: SCPlugin-Ifupdown: update_system_hostname
> NetworkManager: SCPluginIfupdown: management mode: unmanaged
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0): no exported
> connection
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/virtual/net/lo, iface: lo)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/virtual/net/lo, iface: lo): no exported connection
> NetworkManager: SCPlugin-Ifupdown: end _init.
> NetworkManager: Loaded plugin ifupdown:...

wernerhabel (werner-habel) wrote :

... so really no update to the main ppa 's?
... bummer.

thanks,
Werner

Download full text (16.2 KiB)

wernerhabel, I don't know about the main PPA. So I asked him to use the NM
PPA.
There is a easy ay to known that, if the bug status is "Fix commited" its
only fixed in NM PPA, and if status is "Fix released" it was on the main PPA
too. I cant tell it to you because i cant access launchpad as where i am
https is blocked so i'm replying this message via gmail.

2009/11/18 wernerhabel <email address hidden>

> ... so really no update to the main ppa 's?
> ... bummer.
>
> thanks,
> Werner
>
> --
> [MASTER] pppd timeout when trying to establish a DSL connection
> https://bugs.launchpad.net/bugs/432205
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “network-manager” package in Ubuntu: Fix Committed
> Status in “ppp” package in Ubuntu: Invalid
> Status in “network-manager” package in openSUSE: Invalid
>
> Bug description:
> NOTE: fixed packages are available here:
> https://edge.launchpad.net/~network-manager/+archive/trunk<https://edge.launchpad.net/%7Enetwork-manager/+archive/trunk>
>
> =====
>
> Binary package hint: network-manager
>
> In Karmic alpha 5 I could establish a DSL connection.
> In alpha 6, NetworkManager cannot do it.
>
> I take the following steps: Edit connections -> DSL -> Add, then enter my
> username and password.
> After, I choose "DSL Connection 1" from drop-down menu of NetworkManager
> Applet 0.7.996
> Two green points appear on applet icon, and blue thingy circulates around
> them for a long time.
> Then icon appears as disconnected, then two green points again, but this
> time pop-up note says that the connection is established to "Auto eth0".
>
> I tried the following command:
> sudo sh -c "NM_PPP_DEBUG=true NetworkManager --no-daemon"
>
> Then I tried to connect again and the output was the following:
>
> --------------------------------------------------------------------------------------------------------------------------------
> NetworkManager: <info> starting...
> NetworkManager: <info> modem-manager is now available
> NetworkManager: SCPlugin-Ifupdown: init!
> NetworkManager: SCPlugin-Ifupdown: update_system_hostname
> NetworkManager: SCPluginIfupdown: management mode: unmanaged
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/pci0000:00/0000:00:05.0/net/eth0, iface: eth0): no exported
> connection
> NetworkManager: SCPlugin-Ifupdown: devices added (path:
> /sys/devices/virtual/net/lo, iface: lo)
> NetworkManager: SCPlugin-Ifupdown: device added (path:
> /sys/devices/virtual/net/lo, iface: lo): no exported connection
> NetworkManager: SCPlugin-Ifupdown: end _init.
> NetworkManager: Loaded plugin ifupdown: (C) 2008 Canonical Ltd. To report
> bugs please use the NetworkManager mailing list.
> NetworkManager: Loaded plugin keyfile: (c) 2007 - 2008 Red Hat, Inc. To
> report bugs please use the NetworkManager mailing list.
> NetworkManager: <info> Wireless now enabled by radio killswitch
> NetworkManager: SCPlugin-Ifupdown: (148258080) ... get_connections.
> NetworkManager: SCPlugi...

YannUbuntu (yannubuntu) wrote :

hello
I used "sudo pppoeconf" to get access to internet, so I added the PPA trunk and updated NetworkManager. Now how can I cancel pppoeconf to get back my NetworkManager active instead of pppoeconf ?

On Thu, 2009-11-19 at 19:03 +0000, YannUbuntu wrote:
> hello
> I used "sudo pppoeconf" to get access to internet, so I added the PPA trunk and updated NetworkManager. Now how can I cancel pppoeconf to get back my NetworkManager active instead of pppoeconf ?
>

have you tried to remove the package.

sudo apt-get remove pppoeconf

Tom

Yigit Güneli (yiit) wrote :

do not remove the pppoeconf package.

use this command:

sudo rm /etc/network/interfaces

2009/11/20 Yigit Güneli <email address hidden>:
> do not remove the pppoeconf package.
>
> use this command:
>
> sudo rm /etc/network/interfaces

i'll try this. Thank you !

YannUbuntu (yannubuntu) wrote :

ok, we have a complete and clean method to get NetworkManager work despite this bug !

1) Enter "sudo pppoeconf" in a terminal to set up your connection
2) Add the https://launchpad.net/~network-manager/+archive/trunk repository
3) Update your packages
4) Enter "sudo rm /etc/network/interfaces" in a terminal to reactivate NetworkManager.
5) If the connection now works with NetworkManager, desactivate the https://launchpad.net/~network-manager/+archive/trunk repository

do you all agree with this ?

if ok, please indicate the complete method in the bug description. (IMHO the "fixed packages are available here: .." note is not enough information for beginners)

regards

Michael Lazarev (milaz) wrote :

@YannUbuntu: is removing /etc/network/interfaces safe enough?
I'd just recommend commenting out the "pre-up" line:
https://help.ubuntu.com/community/ADSLPPPoE#Boot%20issues

YannUbuntu (yannubuntu) wrote :

I do not know if it is safe, i just know it worked for me. Do you need i attach some of my new files to check something ?
Concerning https://help.ubuntu.com/community/ADSLPPPoE#Boot%20issues , I wish there had been some comments on the wiki to explain the effects of these manipulations. I suppose it desactivates the pppoeconf when NetworkManager is active ? Is it more reliable than removing /etc/network/interfaces ?

twin (toddwinters) wrote :

I am a very new Ubuntu user with broken DSL. I used the su instructions I found in the fourms and had no luck. A few websites will work with my DSL but most, like Google, will not. Gpodder will not download podcasts. My Microsoft machine works fine to all websites. 9.10 is acting like when it was first released. I did a fresh install back then and DSL broke. Now it is broken again. I did the apt-get update and install. Very sad.

Yigit Güneli (yiit) wrote :

@twin,

this is a different bug i think. can you please check the mtu value from ifconfig output?

Biji (biji) wrote :

Hi.. i'm wondering why this fix is not available on standard repos?? I have a nice OS which can't connect to DSL :(

I understand the logic of waiting for other fixes to make an SRU but this is a serious problem and now this fix has been available and tested for a long time. Soon lucid will take over the time of developers. I think it's time for the SRU now. Especially since it will probably have to wait for a while anyway from the moment it is started.

zerwas (zerwas) on 2009-12-11
Changed in network-manager (Ubuntu):
status: Fix Committed → Fix Released
zerwas (zerwas) on 2009-12-11
Changed in network-manager (Ubuntu):
status: Fix Released → Fix Committed
ac (ajsc01) wrote :

I have a dsl internet connection using pppoe. To connect to the internet i have to enter three values i.e. user name, service provider & password. Can someone give step by step instructions how to connect to internet in Karmic as i am unable to connect through "sudo pppoeconf" as it does not provide the option to enter service provider details. could some one tell what and how many patches to download through windows and how to apply it in karmic.

I would like to add it is very annoying and disturbing that cannoical ltd. has allowed this bug to creep in karmic and have not taken any major steps to fix it easily.

@ac

Is this a bug, or a support request? You can find details of Canonical
support contracts on www.canonical.com, and a support engineer will be
happy to help you once you have a support agreement in place.

Mark

arr (alan-drop-share) wrote :

@ac
You will have better lucky in forums. It is a good place to ask for help.

@mark
Yes, it is a bug, and also a regression, reported a long time ago, that let human beings that uses ADSL and karmic away from network.

Alexander Sack (asac) wrote :

quick update: the lucid upload is scheduled for this week friday. At the same time we will try to get the 0.8-rc2 release in as a SRU for karmic; if that doesn't work because we get regression reports, we will pull a cherry pick fix for just this issue for proposed and provide 0.8-rc2 in the stable network-manager PPA for karmic. stay tuned.

In the meantime, you can still install the 0.8 daily packages which are reasonably stable for those that need a fix for this now: https://edge.launchpad.net/~network-manager/+archive/trunk

Launchpad Janitor (janitor) wrote :
Download full text (3.5 KiB)

This bug was fixed in the package network-manager - 0.8~rc2-0ubuntu1

---------------
network-manager (0.8~rc2-0ubuntu1) lucid; urgency=low

  * upstream snapshot 2009-11-12 01:22:59 (GMT)
    + 420ea0220c29a45337e239e4c53250a6989160a3
    - ppp: allow update of ppp secrets in all ACTIVATING stages (LP: #432205)
    - core: validate pidfile and quit early if NM is already running (rh #517362)
    - core: preserve wifi and networking enabled/disabled states (bgo #582447)
    - libnm-util: don't allow blank or NULL VPN items or secrets (rh #532084)

  * upstream 0.8-rc1 release
    - libnm-util: client cert shouldn't be required to set priv key (bgo #585570)
    - wifi: poll rfkill status for ipw2x00 devices
    - ppp: increase PPPoE pppd timeout to 30 seconds (debug)
    - wifi: don't allow scan requests when associating
    - wifi: ensure wifi devices are enabled on wakeup if not rfkilled
    - libnm-util: handle PEM files without ending newline (rh #507315)
    - system-settings: cache secrets to protect against nm_connection_clear_secrets
    - dnsmasq: VPN DNS fixes (LP #389006)
    - system-settings: fix crash when deleting wired connections
    - modem: subsitute known-good nameservers if PPP doesn't return any (LP: #434477)
    - core: clear invalid tag on failed connections when sleeping (LP: #456362)
    - wwan: unable to bring up mobile-broadband system connection (LP: #483773)
    - 8021x: fixed problems with invalid connection / client-certs (LP: #245184)

  * upstream 0.8-rc2 release
    - po: update italian translation (bgo #595673)
    - core: fix error when parsing state file for WirelessEnabled fails
    - libnm-util: fix potential crash when encrypting fails
    - modem: ensure deactivation on disable only happens on disable
    - modem: ensure device is deactivated if the modem is disabled
      underneath NM
    - modem: enable modem before connecting if required
    - libnm-glib: add WWAN enable/disable support
    - manager: add WWAN enable/disable support
    - modem: proxy the ModemManager Enabled property
    - manager: generalize rfkill operations
    - core: add statefile support for WWAN devices
    - udev: add support for other types of rfkill switches
    - core: generalize interface for enabling/disabling devices
    - modem: fix enable/disable/disconnect flow
    - system-settings: Fix using hostname from DHCP
    - libnm-util: client certificate should not be required to set
      private key (bgo #585570)

  [ Alexander Sack <email address hidden> ]
  * allow daily builds to be filed against ubuntu bug system;
    to allow this we add report['CrashDB'] = 'ubuntu' to the apport
    hook
    - update debian/source_network-manager.py
  * attach list of system-connection configuration files in apport hook
    - update debian/source_network-manager.py

  [ Mathieu Trudel <email address hidden> ]
  * updated pkcs11 smartcard patch
    - updated debian/patches/lp120363_smartcard_pkcs11.patch
  * updated signals patch for apport
    - updated debian/patches/70_lp145653_no_sigaction_for_crashes.patch
  * add new nm_setting_olpc_mesh_new symbol to libnm-util1.symbols
    - update debian/libnm-util1.symbols
  * add new nm_cl...

Read more...

Changed in network-manager (Ubuntu):
status: Fix Committed → Fix Released
Jerone Young (jerone) wrote :

The fix made it for lucid. But this is required for karmic updates.

Matthias Niess (mniess) wrote :

Please add the fix to karmic updates, too. It is a while until lucid will be released and having all users add PPAs is not a good solution for fixing a serious bug. When they update to lucid there might be problems.

Changed in network-manager (Ubuntu):
status: Fix Released → New
Tony Espy (awe) wrote :

@xavier

Please don't change the status of a bug without a comment explaining why.

The fix in question *was* released.

@Jerone, @mniess

As Karmic / 9.04 has been released, the only way to get this fix into Karmic is for someone to file an SRU bug. Please refer to the following process:

https://wiki.ubuntu.com/StableReleaseUpdates

If either of you wishes to shepard the fix through the process, I'm sure there are many folks that'd appreciate it.

Changed in network-manager (Ubuntu):
status: New → Fix Released

> the only way to get this fix into Karmic is for someone to file an SRU bug. Please refer to the following process:

well in comment #35 alexander sack (canonical employee) stated:
"this fix will be included in the SRU we will do asap."

so at least my understanding was that this bug was about this, or that all required requests for a SRU were done. This bug also has a milestone karmic-updates and there the bug was not fixed as far as i understand (for me i installed the package from the PPA by hand). but anyway people who knew well enough already installed the PPA, others probably gave up by now. so also i don't see the point in time investment in 9.10 anymore.

kapetr (kapetr) wrote :
Download full text (4.2 KiB)

Hello, after last upgrade from

http://ppa.launchpad.net/network-manager/trunk/ubuntu/

NM-gnome version: 08.-0ubuntu3~nmt2~karmic
NM version: 08.-0ubuntu4~nmt4~karmic

there is a problem with dhclient:

-----------------------------------------------------------------------

Feb 27 14:04:38 zly-hugo NetworkManager: Activation (eth0) Beginning DHCPv4 transaction (timeout in 45 seconds)
Feb 27 14:04:39 zly-hugo NetworkManager: <info> dhclient started with pid 1075
Feb 27 14:04:39 zly-hugo NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) scheduled...
Feb 27 14:04:39 zly-hugo NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
Feb 27 14:04:39 zly-hugo NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) started...
Feb 27 14:04:39 zly-hugo NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) complete.
Feb 27 14:04:39 zly-hugo dhclient: Internet Systems Consortium DHCP Client V3.1.2
Feb 27 14:04:39 zly-hugo dhclient: Copyright 2004-2008 Internet Systems Consortium.
Feb 27 14:04:39 zly-hugo dhclient: All rights reserved.
Feb 27 14:04:39 zly-hugo dhclient: For info, please visit http://www.isc.org/sw/dhcp/
Feb 27 14:04:39 zly-hugo dhclient: Usage: dhclient [-1dqrx] [-nw] [-p <port>] [-s server]
Feb 27 14:04:39 zly-hugo dhclient: [-cf config-file] [-lf lease-file][-pf pid-file] [-e VAR=val]
Feb 27 14:04:39 zly-hugo dhclient: [-sf script-file] [interface]
Feb 27 14:04:40 zly-hugo gdm-binary[764]: WARNING: Unable to find users: no seat-id found
Feb 27 14:04:42 zly-hugo kernel: [ 20.841883] __ratelimit: 12 callbacks suppressed
---------------------------------------------------------------------------------------------

I have wrapped the /sbin/dhclient to see, how is it called.

The problem is with "-4" parameter, which dhclient3 in Ubuntu 9.10 don't know.

So i wrote this workaround:
---------------------------------- /sbin/dhclient
#!/bin/bash

logger "xxxxx $0 $*"
logger "Odstranuji neznamy parametr \"-4\""

PARM=$(echo $*|sed "s/-4//")
exec /sbin/dhclient3 $PARM
---------------------------------

Now it works again:

--------------------------------------------------------------
Feb 28 07:54:53 zly-hugo NetworkManager: Activation (eth0) Beginning DHCPv4 transaction (timeout in 45 seconds)
Feb 28 07:54:53 zly-hugo NetworkManager: <info> dhclient started with pid 3289
Feb 28 07:54:53 zly-hugo NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) scheduled...
Feb 28 07:54:53 zly-hugo NetworkManager: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
Feb 28 07:54:53 zly-hugo NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) started...
Feb 28 07:54:53 zly-hugo NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP6 Configure Get) complete.
Feb 28 07:54:53 zly-hugo logger: xxxxx /sbin/dhclient -d -4 -sf /usr/lib/NetworkManager/nm-dhcp-client.action -pf /var/run/dhclient-eth0.pid -lf /var/lib/dhcp3/dhclient-91b2f2c4-3bde-47af-b78f-0c2766cfcebd-eth0.lease -cf /var/run/nm-dhclient-eth0.conf eth0
Feb 28 07:54:53 zly-hugo logger: Odst...

Read more...

mofeng (mofeng) wrote :

I didn't access the local network after update the new apt.
I search the topic about "connect fail" in the forum.

On Sat, Feb 27, 2010 at 06:49:04PM -0000, Emmanuel Touzery wrote:
> > the only way to get this fix into Karmic is for someone to file an SRU
> bug. Please refer to the following process:
>
> well in comment #35 alexander sack (canonical employee) stated:
> "this fix will be included in the SRU we will do asap."
>

We aimed for getting full 0.8 into lucid, however, we only had an option to do that
within a window of 1 month. Now too many users have ubunt installed, so rolling
a full update has too many regression risks.

Anyway, this SRU should still happen in a cherry-pick/individual fashion... someone
just need the patches required for this from the git trees and make them work with
our package.

 - Alexander

Alexander Sack (asac) wrote :

On Sun, Feb 28, 2010 at 12:25:09PM -0000, kapetr wrote:
> Hello, after last upgrade from
>
> http://ppa.launchpad.net/network-manager/trunk/ubuntu/
>
> NM-gnome version: 08.-0ubuntu3~nmt2~karmic
> NM version: 08.-0ubuntu4~nmt4~karmic
>
> there is a problem with dhclient:

yes, dhclient is too old. a new dhcp client will land this weekend
hopefully.

 - Alexander

Jerone Young (jerone) on 2010-05-18
Changed in oem-priority:
status: New → Fix Released
Displaying first 40 and last 40 comments. View all 123 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers